component: Router
proto_imports:
  - vehicle/network/diagnostics/router_diagnostics.proto
metric: zoox::diag::EmptyMetric
namespace: zoox::vehicle::network
faults:
  - id: 1
    name: RouterRebootDetected
    severity: WARNING
    description: Detected router reboot, restart Base to clear this error and escalate to L3GC
    freeze_frame: zoox.vehicle.network.RouterDiagnosticFreezeFrame
  - id: 2
    name: NoRouterConnection
    severity: WARNING
    description: Could not connect to router
    freeze_frame: zoox.vehicle.network.RouterDiagnosticFreezeFrame
  - id: 3
    name: NoNetworkConnection
    severity: WARNING
    description: One or more modems have no network connection
    freeze_frame: zoox.vehicle.network.RouterDiagnosticFreezeFrame
  - id: 4
    name: DegradedNetworkConnection
    severity: WARNING
    description: One or more modems have a degraded network connection
    freeze_frame: zoox.vehicle.network.RouterDiagnosticFreezeFrame
  - id: 5
    name: InvalidVehicleConfig
    severity: WARNING
    description: Invalid LTE router settings in VehicleConfig
    freeze_frame: zoox.vehicle.network.RouterDiagnosticFreezeFrame
